System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

When setting command parameters, the and are linked. Therefore, setting the DbType changes the SqlDbType to a supporting SqlDbType.

Specifies SQL Server-specific data type of a field, property, for use in a .

- Field
  System.Data.SqlDbType To be added

  . A 64-bit signed integer.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  of type . A fixed-length stream of binary data ranging between 1 and 8,000 bytes.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  . An unsigned numeric value that can be 0, 1, or null.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  . A fixed-length stream of non-Unicode characters ranging between 1 and 8,000 characters.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  . Date and time data ranging in value from January 1, 1753 to December 31, 9999 to an accuracy of 3.33 milliseconds.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  . A fixed precision and scale numeric value between -10 38 -1 and 10 38 -1.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  . A floating point number within the range of -1.79E +308 through 1.79E +308.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  of type . A variable-length stream of binary data ranging from 0 to 2 31 -1 (or 2,147,483,647) bytes.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  . A 32-bit signed integer.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  . A currency value ranging from -2 63 (or -9,223,372,036,854,775,808) to 2 63 -1 (or +9,223,372,036,854,775,807) with an accuracy to a ten-thousandth of a currency unit.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  . A fixed-length stream of Unicode characters ranging between 1 and 4,000 characters.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  . A variable-length stream of Unicode data with a maximum length of 2 30 - 1 (or 1,073,741,823) characters.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  . A variable-length stream of Unicode characters ranging between 1 and 4,000 characters. Implicit conversion fails if the string is greater than 4,000 characters. Explicitly set the object when working with strings longer than 4,000 characters. Use when the database column is nvarchar(max).

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  . A floating point number within the range of -3.40E +38 through 3.40E +38.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  . Date and time data ranging in value from January 1, 1900 to June 6, 2079 to an accuracy of one minute.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  . A 16-bit signed integer.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  . A currency value ranging from -214,748.3648 to +214,748.3647 with an accuracy to a ten-thousandth of a currency unit.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  . A variable-length stream of non-Unicode data with a maximum length of 2 31 -1 (or 2,147,483,647) characters.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  of type . Automatically generated binary numbers, which are guaranteed to be unique within a database. timestamp is used typically as a mechanism for version-stamping table rows. The storage size is 8 bytes.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  . An 8-bit unsigned integer.

  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Data.SqlDbType

  A ssNoVersion user-defined type (UDT).

- Field
  System.Data.SqlDbType To be added

  . A globally unique identifier (or GUID).

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  of type . A variable-length stream of binary data ranging between 1 and 8,000 bytes. Implicit conversion fails if the byte array is greater than 8,000 bytes. Explicitly set the object when working with byte arrays larger than 8,000 bytes.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  . A variable-length stream of non-Unicode characters ranging between 1 and 8,000 characters. Use when the database column is varchar(max).

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlDbType To be added

  . A special data type that can contain numeric, string, binary, or date data as well as the SQL Server values Empty and Null, which is assumed if no other type is declared.

  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Data.SqlDbType

  An XML value. Obtain the XML as a string using the method or property, or as an by calling the method.